<?php

//Clase de Paises
class clase_estados
{
  	var $nom_tabla = 'dxestado';
  	var  $cve_estado = '0';
	var  $cve_pais = '0';
  	var  $des_estado = '0';
//Funcion de Revicion
	function revisar_estados(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE des_estado = '$this->des_estado'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar_estados(){
		$sql = "insert into $this->nom_tabla (cve_pais, cve_estado, des_estado)values('$this->cve_pais','$this->cve_estado', '$this->des_estado')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cve_estado){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cve_estado = '$cve_estado'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica_estado($cve_estado,$cve_pais){
		$sql = "UPDATE $this->nom_tabla SET cve_pais = '$cve_pais', cve_estado = '$cve_estado', des_estado = '$this->des_estado' WHERE cve_estado='$cve_estado'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar_estado($cve_estado){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_estado = '$cve_estado'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>